Subject: bug#41626: 28.0.50; activating mark breaks RTL shaping in etc/HELLO (auto-composition-mode)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 May 2020 17:59:26 +0300

> From: Pip Cet <[email-masked]>
> Date: Sun, 31 May 2020 13:10:47 +0000
> Cc: [email-masked]
> 
> What I don't understand is why it works in pure RTL paragraphs,
> though. If I yank the Arabic greeting into a new buffer, I can place
> the mark anywhere and nothing happens to the shaping.

Because testing where the face changes while going backwards in a
buffer is "tricky".  See handle_stop_backwards and its callers.  Maybe
there's some bug in the logic there, I don't know.